
Website Input - Bug #1361

Input fails on Linux, missing "x_ignore_nofocus.so"

05/26/2016 09:45 PM - Luke Murphey

Status: Closed Start date: 05/26/2016

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Input: Browser Renderer Estimated time: 0.00 hour

Target version: 3.0   

Description

2016-05-26 16:40:32,721 ERROR Unable to get the content using the browser=firefox

Traceback (most recent call last):

  File "/opt/splunk/etc/apps/website_input/bin/web_input.py", line 595, in get_result_single

    content = cls.get_result_browser(url, browser, timeout, username, password, proxy_type, proxy_

server, proxy_port, proxy_user, proxy_password)

  File "/opt/splunk/etc/apps/website_input/bin/web_input.py", line 528, in get_result_browser

    driver = webdriver.Firefox()

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/firefox/webdriver.py", line 103,

 in __init__

    self.binary, timeout)

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/firefox/extension_connection.py"

, line 51, in __init__

    self.binary.launch_browser(self.profile, timeout=timeout)

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/firefox/firefox_binary.py", line

 67, in launch_browser

    self._start_from_profile_path(self.profile.path)

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/firefox/firefox_binary.py", line

 83, in _start_from_profile_path

    self._modify_link_library_path()

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/firefox/firefox_binary.py", line

 179, in _modify_link_library_path

    self.profile, self.NO_FOCUS_LIBRARY_NAME, "x86", "amd64")

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/firefox/firefox_binary.py", line

 197, in _extract_and_check

    library_path)

  File "/opt/splunk/lib/python2.7/shutil.py", line 119, in copy

    copyfile(src, dst)

  File "/opt/splunk/lib/python2.7/shutil.py", line 82, in copyfile

    with open(src, 'rb') as fsrc:

IOError: [Errno 2] No such file or directory: '/opt/splunk/etc/apps/website_input/bin/selenium/web

driver/firefox/x86/x_ignore_nofocus.so'

History

#1 - 05/26/2016 09:48 PM - Luke Murphey

https://github.com/seleniumhq/selenium-google-code-issue-archive/issues/5853

#2 - 05/26/2016 10:29 PM - Luke Murphey

- Status changed from New to Closed

Problem is the gitignore was too aggressive.
